VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
BusInfo Struct Reference
VST Buses

BusInfo: This is the structure used with getBusInfo, informing the host about what is a specific given bus. More...

`#include <ivstcomponent.h>`

## Public Types
enum | BusFlags { kDefaultActive = 1 << 0 }

## Public Attributes
MediaType | mediaType
| Media type - has to be a value of MediaTypes. More...
BusDirection | direction
| input or output BusDirections More...
int32 | channelCount
| number of channels (if used then need to be recheck after IAudioProcessor::setBusArrangements is called). More...
String128 | name
| name of the bus More...
BusType | busType
| main or aux - has to be a value of BusTypes More...
uint32 | flags
| flags - a combination of BusFlags More...

## Detailed Description

BusInfo: This is the structure used with getBusInfo, informing the host about what is a specific given bus.

See also: IComponent::getBusInfo

## Member Enumeration Documentation

enum BusFlags

Enumerator
kDefaultActive | bus active per default

## Member Data Documentation

MediaType mediaType

Media type - has to be a value of MediaTypes.

BusDirection direction

input or output BusDirections

int32 channelCount

number of channels (if used then need to be recheck after IAudioProcessor::setBusArrangements is called).

For a bus of type MediaTypes::kEvent the channelCount corresponds to the number of supported MIDI channels by this bus

String128 name

name of the bus

BusType busType

main or aux - has to be a value of BusTypes

uint32 flags

flags - a combination of BusFlags

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.